<template>
  <v-menu v-model="menu" :close-on-content-click="false" location="end">
    <template #activator="{ props }">
      <v-btn icon v-bind="props">
        <v-badge :content="basket.length">
          <v-icon icon="mdi-shopping-outline"></v-icon>
        </v-badge>
      </v-btn>
    </template>
    <v-card min-width="300">
      <v-list>
        <v-list-item
          prepend-icon="mdi-shopping"
          title="Корзина"
          subtitle="Добавьте товары"
        >
        </v-list-item>
      </v-list>
      <v-divider></v-divider>
      <v-list-item v-if="basket.length === 0" class="text-center my-6">
        Корзина пуста
      </v-list-item>
      <v-list v-else>
        <v-list-item v-for="(item, index) in basket" :key="index">
          {{ item.title }}
          <template #append>
            <v-btn
              color="grey-lighten-1"
              icon="mdi-close"
              variant="text"
            ></v-btn>
          </template>
        </v-list-item>
      </v-list>
      <v-card-actions>
        <v-btn
          variant="tonal"
          dark
          block
          :disabled="basket.length === 0"
          @click="toBasketHandler"
        >
          Перейти в корзину
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-menu>
</template>

<script setup>
import { toRefs, ref } from 'vue'
import { useRouter } from 'vue-router'

const props = defineProps({
  basket: {
    type: Array,
    default: () => []
  }
})
const { basket } = toRefs(props)
const menu = ref(false)
const router = useRouter()
function toBasketHandler() {
  router.push({ name: 'BasketCheck' })
  menu.value = false
}
</script>
